# OqlOrderByParser Class Reference

Inheritance diagram for OqlOrderByParser:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Protected Member Functions

| makeOqlObject ()
| handleState ()
| getArgumentExpression ()

## Detailed Description

Definition at line 12 of file OqlOrderByParser.class.php.

## Member Function Documentation

static OqlOrderByParser::create | ( |  | ) | `[static]`

Returns:
  OqlOrderByParser

Definition at line 17 of file OqlOrderByParser.class.php.

Referenced by makeOqlObject(), OQL::orderBy(), and OqlSelectParser::orderByState().

OqlOrderByParser::getArgumentExpression | ( |  | ) | `[protected]`

Returns:
  OqlOrderByExpression

Definition at line 48 of file OqlOrderByParser.class.php.

References OqlParser::checkKeyword(), and OqlParser::getLogicExpression().

Here is the call graph for this function:

OqlOrderByParser::handleState | ( |  | ) | `[protected]`

Reimplemented from OqlParser.

Definition at line 30 of file OqlOrderByParser.class.php.

References OqlParser::getCommaSeparatedList().

Here is the call graph for this function:

OqlOrderByParser::makeOqlObject | ( |  | ) | `[protected]`

Returns:
  OqlOrderByClause

Reimplemented from OqlParser.

Definition at line 25 of file OqlOrderByParser.class.php.

References create().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlOrderByParser.class.php